<template>
    <el-card id="tool-card" style="width: 100%;" shadow="never">
        <h1 class="c-title">工具箱</h1>
        <el-row style="padding-top: 10px;">
            <el-col :span="8" v-for="tool in toolList" :key="tool.name" class="flexl">
                <svg class="icon" aria-hidden="true">
                    <use :xlink:href="tool.icon"></use>
                    </svg>
                    <h1>{{ tool.name }}</h1>
            </el-col>
        </el-row>
            </el-card>
</template>

<script lang="ts" setup>
import { defineComponent } from 'vue';
import { reactive, ref } from 'vue';
import { useRoute, useRouter } from 'vue-router';
const toolList = reactive([
    {
        name:'在线相册',
        icon:'#icon-xiangce',
        // path:''
    },
    {
        name:'天气预报',
        icon:'#icon-tianqi',
        // path:''
    },
    {
        name:'校园云盘',
        icon:'#icon-wendang',
        // path:''
    },
    {
        name:'备忘录',
        icon:'#icon-biji',
        // path:''
    },
    {
        name:'聊天室',
        icon:'#icon-taolun',
        // path:''
    },
    {
        name:'GPT3.5',
        icon:'#icon-a-tubiaoji1_huaban1fuben19',
        // path:''
    },
]);
const router = useRouter();
const navigateToAbout = (type:String) => {
        router.push({ path: `/addPost/${type}` });
        };
</script>

<style lang="less" scoped>
.icon{
    font-size: 70px;
}
.flexl{
    padding: 10px 0;
}
.flexl:hover{
    background-color: #f2f2f2;
}
</style>